Skip to content

Apply Pipeline Template

POST
/v1/pipelines/templates:apply
curl --request POST \
--url https://junction-api.qualiastudios.dev/v1/pipelines/templates:apply \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "source": "example" }'

Apply the file as the workspace’s template of its name: created the first time, the next immutable version when its graph or outputs changed, its description updated in place when only that changed, and changed: false when nothing did. Safe to retry.

Media type application/json
TemplateSource

A template file, as it is kept in the workspace’s repository.

object
source
required

The TOML file: name, description, nodes, edges, outputs

string
<= 65536 characters
Example generated
{
"source": "example"
}

Successful Response

Media type application/json
AppliedTemplate
object
pipeline_template_id
required
string format: uuid
name
required
string
version
required
integer
changed
required

False when nothing was written; a new graph or outputs is a new version, a new description is written in place

boolean
launch_fields
Array<object>
LaunchField

One launch-form field of a template: an exposed port with its JSON schema, derived required-ness, and display metadata.

object
name
required
string
type_name
required
string
schema
object
key
additional properties
any
required
required
boolean
default
nullable
resolve
object
key
additional properties
any
ui
object
key
additional properties
any
Example generated
{
"pipeline_template_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"version": 1,
"changed": true,
"launch_fields": [
{
"name": "example",
"type_name": "example",
"schema": {},
"required": true,
"default": "example",
"resolve": {},
"ui": {}
}
]
}

Invalid or missing API key

Media type application/json
ErrorResponse

Standard error response.

object
detail
required

Error message describing what went wrong

string
Example generated
{
"detail": "example"
}

Missing capability on the workspace

Media type application/json
ErrorResponse

Standard error response.

object
detail
required

Error message describing what went wrong

string
Example generated
{
"detail": "example"
}

The template is retired

Media type application/json
ErrorResponse

Standard error response.

object
detail
required

Error message describing what went wrong

string
Example generated
{
"detail": "example"
}

The file is not a valid template